import { hasPersonValidator } from "aleksis.core/routeValidators";

export default {
  meta: {
    inMenu: true,
    titleKey: "kolego.menu_title",
    icon: "",
    validators: [hasPersonValidator],
  },
  children: [
    {
      path: "absences",
      component: () => import("./components/Absences.vue"),
      name: "kolego.absences",
      meta: {
        inMenu: true,
        titleKey: "kolego.absence.menu_title",
        icon: "",
        permission: "",
      },
    },
    {
      path: "absence_reasons",
      component: () => import("./components/AbsenceReasons.vue"),
      name: "kolego.absence_reasons",
      meta: {
        inMenu: true,
        titleKey: "kolego.absence_reason.menu_title",
        icon: "",
        permission: "",
      },
    },
  ],
};
